# Apply

Initiate automatic KYC. Transitions the application from CREATED status to SUBMITTED status. Once the async KYC process is completed, the application will move from SUBMITTED to another status.

Endpoint: POST /api/v1/applications/{application_id}/apply/
Version: Version: 2edadba5
Security: HTTPBearer

## Path parameters:

  - `application_id` (string, required)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `id` (string, required)

  - `time_created` (string, required)

  - `updated_at` (string, required)

  - `phone_number` (string, required)
    Applicant's phone number. Note: It will be required to include country codes in accordance to the E.164 spec in a future release, or ^\+[1-9]\d{1,14}$.

  - `agreement_consent` (object, required)

  - `agreement_consent.version` (string, required)
    Agreement version

  - `agreement_consent.timestamp` (string, required)
    Timestamp of applicant's acknowledgement of the agreements

  - `exception_reasons` (array)

  - `email` (string, required)

  - `status` (string, required)
    Enum: "CREATED", "PENDING", "SUBMITTED", "DOCUMENTS_NEEDED", "APPROVED", "REJECTED", "MANUAL_REVIEW"

  - `name` (any, required)
    - `first_name` (string, required)
      First Name
    - `middle_name` (any)
      Middle Name
    - `last_name` (string, required)
      Last Name

  - `date_of_birth` (any, required)
    - `date_of_birth` (string, required)

  - `investment_profile` (any, required)

  - `customer_id` (any)
    null until application status is APPROVED

  - `documents` (array)

  - `documents.id` (string, required)

  - `documents.type` (string, required)
    Enum: "ID_FRONT", "ID_BACK", "ID_BARCODE", "SELFIE", "IDENTIFICATION_NUMBER_VERIFICATION", "ADDRESS_VERIFICATION", "PASSPORT", "EIN_CONFIRMATION", "OPERATING_AGREEMENT", "PARTNERSHIP_AGREEMENT", "ARTICLES_OF_INCORPORATION", "BYLAWS", "PROOF_OF_501_STATUS", "ARTICLES_OF_ASSOCIATION", "CORPORATE_CHARTER", "TRUST_FORMATION_RECORDS", "LIST_OF_TRUSTEES", "LEGAL_ANALYSIS_OF_BUSINESS_MODEL", "COINS_AND_TOKENS_LISTED_AND_OFFERED", "COIN_RATING_POLICY_AND_PROCEDURES", "TYPE_OF_BLOCKCHAIN_ANALYTICS_USED", "MARKET_MANIPULATION_POLICY", "BSA_AML_OFAC_POLICIES", "INDEPENDENT_AML_AUDIT_REPORT", "BSA_AML_OFAC_INTERNAL_RISK_ASSESSMENT", "ARTICLES_OF_ORGANIZATION", "FLOW_OF_FUNDS", "BANK_STATEMENTS_1", "BANK_STATEMENTS_2", "BANK_STATEMENTS_3", "ORG_CHART", "BUSINESS_DESCRIPTION", "CERTIFICATE_OF_GOOD_STANDING", "CERTIFICATE_OF_TRADE_NAME", "COMPANY_RESOLUTION", "SIGNATURE_AUTHORIZATION", "BANK_STATEMENT", "BUSINESS_LICENSE", "CERTIFICATE_OF_EXISTENCE", "CERTIFICATE_OF_ASSUMED_NAME", "COMPANY_REGISTRATION_DOCUMENT", "INTERNAL_KYC_AUDIT", "EXTERNAL_KYC_AUDIT", "KYC_POLICIES_AND_PROCEDURES", "WIRE_COUNTERPARTY_VERIFICATION", "OTHER"

  - `documents.status` (string, required)
    Enum: "PENDING_UPLOAD", "PENDING_REVIEW", "APPROVED", "INVALID"

  - `documents.exception_reason` (any)

  - `documents.name` (any)

  - `id_verification_documents_needed` (boolean, required)

  - `identification_number_verification_document_needed` (boolean, required)

  - `address_verification_document_needed` (boolean, required)

  - `address` (object, required)
    Address object

  - `address.street_address` (string, required)
    Street address

  - `address.street_address2` (any)
    Apartment, Suite, Box number, etc.

  - `address.city` (string, required)
    City / Town

  - `address.postal_code` (string, required)
    Postal code / ZIP code

  - `address.state` (any)
    State (Postal Abbreviations. Example: "AL", "NJ", "OH")

  - `address.country` (string, required)
    A ISO-3166 Alpha-2 country code (Abbreviated. Example: "US")

  - `citizenship_country` (any)
    The applicant's citizenship country in ISO-3166 Alpha-2 format.

  - `identification_number_issuing_country` (any)
    The country that issued the applicant's identification number. Country in ISO-3166 Alpha-2 format. Note: This field will be made mandatory in a future releases.

  - `object_type` (string, required)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


## Response 404 fields
